Realtime Avatar

Create an API key

POST
/api/v1/api-keys

Mint a new scoped API key for your tenant. The full key (tic_live_... or tic_test_...) is returned once and never stored. Requires scope api_keys:write.

AuthorizationBearer <token>

TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "keyId": "string",  "tenantId": "string",  "name": "string",  "environment": "live",  "redactedKey": "string",  "scopes": [    "*"  ],  "status": "active",  "spendLimitCreditMicros": 0,  "createdAt": "string",  "expiresAt": "string",  "apiKey": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}